|  | Class Members updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - r -

- r : reflex::Pattern::Option
- range : reflex::Posix::Tables
- Range : reflex::Posix::Tables
- Ranges() : reflex::Ranges< T >
- reachable() : reflex::Pattern
- REDO : reflex::AbstractMatcher::Const
- redo : reflex::Pattern::DFA::State
- reference : reflex::AbstractMatcher::Iterator< T >
- regex : Reflex::Rule
- regex_error() : reflex::regex_error
- regex_error_message() : reflex::regex_error
- regex_error_message_code() : reflex::regex_error
- RES1 : reflex::Pattern::Position
- RES2 : reflex::Pattern::Position
- RES3 : reflex::Pattern::Position
- RES4 : reflex::Pattern::Position
- res_ : reflex::AbstractMatcher
- reserve() : reflex::Bits
- reset() : reflex::AbstractMatcher , reflex::BoostMatcher , reflex::LineMatcher , reflex::Matcher , reflex::PCRE2Matcher , reflex::StdMatcher
- reset_text() : reflex::AbstractMatcher
- rest() : reflex::AbstractMatcher
- rex_ : reflex::Pattern
- right : reflex::Pattern::DFA::State
- root() : reflex::Pattern::DFA
- rshift() : reflex::Bits
- Rule() : Reflex::Rule
- Rules : Reflex
- rules : Reflex
- RulesMap : Reflex